### Method

# Adw ViewStack get_pages

#### Declaration [src]

    GtkSelectionModel*
    adw_view_stack_get_pages (
      AdwViewStack* self
    )

#### Description [src]

Returns a `GListModel` that contains the pages of the stack.

This can be used to keep an up-to-date view.

The model implements `GtkSectionModel` and creates sections based on `AdwViewStackPage:starts-section` values.

The model also implements `GtkSelectionModel` and can be used to track and change the visible page.

Gets property | `Adw.ViewStack:pages`

#### Return value

Type: `GtkSelectionModel`

A `GtkSelectionModel` for the stack’s children.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.